# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'editor.ui'
#
# Created by: PyQt5 UI code generator 5.15.9
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(988, 637)
        MainWindow.setDocumentMode(False)
        MainWindow.setDockNestingEnabled(True)
        MainWindow.setDockOptions(QtWidgets.QMainWindow.AllowNestedDocks|QtWidgets.QMainWindow.AllowTabbedDocks|QtWidgets.QMainWindow.AnimatedDocks|QtWidgets.QMainWindow.GroupedDragging)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.centralwidget)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.frameGroup = QtWidgets.QGroupBox(self.centralwidget)
        self.frameGroup.setTitle("")
        self.frameGroup.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.frameGroup.setFlat(True)
        self.frameGroup.setCheckable(False)
        self.frameGroup.setObjectName("frameGroup")
        self._2 = QtWidgets.QVBoxLayout(self.frameGroup)
        self._2.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self._2.setContentsMargins(0, 0, 0, 0)
        self._2.setSpacing(6)
        self._2.setObjectName("_2")
        self.frameList = FrameListView(self.frameGroup)
        self.frameList.setEnabled(True)
        self.frameList.setAcceptDrops(True)
        self.frameList.setDragEnabled(False)
        self.frameList.setDragDropMode(QtWidgets.QAbstractItemView.NoDragDrop)
        self.frameList.setAlternatingRowColors(False)
        self.frameList.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.frameList.setFlow(QtWidgets.QListView.LeftToRight)
        self.frameList.setUniformItemSizes(True)
        self.frameList.setObjectName("frameList")
        self._2.addWidget(self.frameList)
        self.frameGroup2 = QtWidgets.QGroupBox(self.frameGroup)
        self.frameGroup2.setTitle("")
        self.frameGroup2.setFlat(True)
        self.frameGroup2.setObjectName("frameGroup2")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.frameGroup2)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.importBtn = QtWidgets.QToolButton(self.frameGroup2)
        icon = QtGui.QIcon.fromTheme("document-import")
        self.importBtn.setIcon(icon)
        self.importBtn.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        self.importBtn.setAutoRaise(False)
        self.importBtn.setObjectName("importBtn")
        self.horizontalLayout.addWidget(self.importBtn)
        self.exportBtn = QtWidgets.QToolButton(self.frameGroup2)
        self.exportBtn.setEnabled(True)
        icon = QtGui.QIcon.fromTheme("document-export")
        self.exportBtn.setIcon(icon)
        self.exportBtn.setObjectName("exportBtn")
        self.horizontalLayout.addWidget(self.exportBtn)
        self.counter = QtWidgets.QLabel(self.frameGroup2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.counter.sizePolicy().hasHeightForWidth())
        self.counter.setSizePolicy(sizePolicy)
        self.counter.setObjectName("counter")
        self.horizontalLayout.addWidget(self.counter)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.frameDuration = QtWidgets.QSpinBox(self.frameGroup2)
        self.frameDuration.setEnabled(True)
        self.frameDuration.setReadOnly(False)
        self.frameDuration.setPrefix("")
        self.frameDuration.setMinimum(-1)
        self.frameDuration.setMaximum(9999)
        self.frameDuration.setProperty("value", -1)
        self.frameDuration.setObjectName("frameDuration")
        self.horizontalLayout.addWidget(self.frameDuration)
        self.copy = QtWidgets.QToolButton(self.frameGroup2)
        icon = QtGui.QIcon.fromTheme("edit-copy")
        self.copy.setIcon(icon)
        self.copy.setObjectName("copy")
        self.horizontalLayout.addWidget(self.copy)
        self.moveLeft = QtWidgets.QToolButton(self.frameGroup2)
        icon = QtGui.QIcon.fromTheme("arrow-left")
        self.moveLeft.setIcon(icon)
        self.moveLeft.setArrowType(QtCore.Qt.NoArrow)
        self.moveLeft.setObjectName("moveLeft")
        self.horizontalLayout.addWidget(self.moveLeft)
        self.moveNumber = QtWidgets.QSpinBox(self.frameGroup2)
        self.moveNumber.setMinimum(1)
        self.moveNumber.setMaximum(999)
        self.moveNumber.setStepType(QtWidgets.QAbstractSpinBox.AdaptiveDecimalStepType)
        self.moveNumber.setObjectName("moveNumber")
        self.horizontalLayout.addWidget(self.moveNumber)
        self.moveRight = QtWidgets.QToolButton(self.frameGroup2)
        icon = QtGui.QIcon.fromTheme("arrow-right")
        self.moveRight.setIcon(icon)
        self.moveRight.setArrowType(QtCore.Qt.NoArrow)
        self.moveRight.setObjectName("moveRight")
        self.horizontalLayout.addWidget(self.moveRight)
        self.reverseBtn = QtWidgets.QToolButton(self.frameGroup2)
        icon = QtGui.QIcon.fromTheme("reverse")
        self.reverseBtn.setIcon(icon)
        self.reverseBtn.setObjectName("reverseBtn")
        self.horizontalLayout.addWidget(self.reverseBtn)
        self.deleteBtn = QtWidgets.QToolButton(self.frameGroup2)
        icon = QtGui.QIcon.fromTheme("delete")
        self.deleteBtn.setIcon(icon)
        self.deleteBtn.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        self.deleteBtn.setAutoRaise(False)
        self.deleteBtn.setArrowType(QtCore.Qt.NoArrow)
        self.deleteBtn.setObjectName("deleteBtn")
        self.horizontalLayout.addWidget(self.deleteBtn)
        self._2.addWidget(self.frameGroup2)
        self.verticalLayout_2.addWidget(self.frameGroup)
        self.horizontalLayout_2.addLayout(self.verticalLayout_2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 988, 22))
        self.menubar.setObjectName("menubar")
        self.menuFile = QtWidgets.QMenu(self.menubar)
        self.menuFile.setObjectName("menuFile")
        self.menuEdit = QtWidgets.QMenu(self.menubar)
        self.menuEdit.setObjectName("menuEdit")
        self.menu_View = QtWidgets.QMenu(self.menubar)
        self.menu_View.setObjectName("menu_View")
        MainWindow.setMenuBar(self.menubar)
        self.dockWidget_2 = QtWidgets.QDockWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dockWidget_2.sizePolicy().hasHeightForWidth())
        self.dockWidget_2.setSizePolicy(sizePolicy)
        self.dockWidget_2.setFloating(False)
        self.dockWidget_2.setFeatures(QtWidgets.QDockWidget.DockWidgetFloatable|QtWidgets.QDockWidget.DockWidgetMovable)
        self.dockWidget_2.setObjectName("dockWidget_2")
        self.dockWidgetContents_2 = QtWidgets.QWidget()
        self.dockWidgetContents_2.setObjectName("dockWidgetContents_2")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.dockWidgetContents_2)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.preview = QtWidgets.QGraphicsView(self.dockWidgetContents_2)
        self.preview.setVerticalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOff)
        self.preview.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOff)
        self.preview.setInteractive(False)
        self.preview.setObjectName("preview")
        self.verticalLayout_3.addWidget(self.preview)
        self.groupBox_3 = QtWidgets.QGroupBox(self.dockWidgetContents_2)
        self.groupBox_3.setTitle("")
        self.groupBox_3.setFlat(True)
        self.groupBox_3.setCheckable(False)
        self.groupBox_3.setObjectName("groupBox_3")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_3)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.playPause = QtWidgets.QToolButton(self.groupBox_3)
        icon = QtGui.QIcon.fromTheme("media-playback-start")
        self.playPause.setIcon(icon)
        self.playPause.setObjectName("playPause")
        self.horizontalLayout_3.addWidget(self.playPause)
        self.goLeft = QtWidgets.QToolButton(self.groupBox_3)
        icon = QtGui.QIcon.fromTheme("media-seek-backward")
        self.goLeft.setIcon(icon)
        self.goLeft.setObjectName("goLeft")
        self.horizontalLayout_3.addWidget(self.goLeft)
        self.goRight = QtWidgets.QToolButton(self.groupBox_3)
        icon = QtGui.QIcon.fromTheme("media-seek-forward")
        self.goRight.setIcon(icon)
        self.goRight.setObjectName("goRight")
        self.horizontalLayout_3.addWidget(self.goRight)
        self.stop = QtWidgets.QToolButton(self.groupBox_3)
        icon = QtGui.QIcon.fromTheme("media-playback-stop")
        self.stop.setIcon(icon)
        self.stop.setObjectName("stop")
        self.horizontalLayout_3.addWidget(self.stop)
        self.fullscreen = QtWidgets.QToolButton(self.groupBox_3)
        icon = QtGui.QIcon.fromTheme("view-fullscreen")
        self.fullscreen.setIcon(icon)
        self.fullscreen.setObjectName("fullscreen")
        self.horizontalLayout_3.addWidget(self.fullscreen)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        self.dockWidget_2.setWidget(self.dockWidgetContents_2)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(2), self.dockWidget_2)
        self.sourcesGroup = QtWidgets.QDockWidget(MainWindow)
        self.sourcesGroup.setFeatures(QtWidgets.QDockWidget.DockWidgetFloatable|QtWidgets.QDockWidget.DockWidgetMovable)
        self.sourcesGroup.setObjectName("sourcesGroup")
        self.dockWidgetContents_3 = QtWidgets.QWidget()
        self.dockWidgetContents_3.setObjectName("dockWidgetContents_3")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.dockWidgetContents_3)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.subdirs = QtWidgets.QComboBox(self.dockWidgetContents_3)
        self.subdirs.setFrame(True)
        self.subdirs.setObjectName("subdirs")
        self.horizontalLayout_6.addWidget(self.subdirs)
        self.refreshSources = QtWidgets.QToolButton(self.dockWidgetContents_3)
        icon = QtGui.QIcon.fromTheme("view-refresh")
        self.refreshSources.setIcon(icon)
        self.refreshSources.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        self.refreshSources.setObjectName("refreshSources")
        self.horizontalLayout_6.addWidget(self.refreshSources)
        self.verticalLayout_5.addLayout(self.horizontalLayout_6)
        self.sourcesList = FrameListView(self.dockWidgetContents_3)
        self.sourcesList.setProperty("showDropIndicator", False)
        self.sourcesList.setDragEnabled(True)
        self.sourcesList.setDragDropMode(QtWidgets.QAbstractItemView.NoDragDrop)
        self.sourcesList.setDefaultDropAction(QtCore.Qt.IgnoreAction)
        self.sourcesList.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.sourcesList.setObjectName("sourcesList")
        self.verticalLayout_5.addWidget(self.sourcesList)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem1)
        self.addFrame = QtWidgets.QPushButton(self.dockWidgetContents_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.addFrame.sizePolicy().hasHeightForWidth())
        self.addFrame.setSizePolicy(sizePolicy)
        self.addFrame.setFocusPolicy(QtCore.Qt.StrongFocus)
        icon = QtGui.QIcon.fromTheme("node-add")
        self.addFrame.setIcon(icon)
        self.addFrame.setCheckable(False)
        self.addFrame.setDefault(True)
        self.addFrame.setFlat(False)
        self.addFrame.setObjectName("addFrame")
        self.horizontalLayout_4.addWidget(self.addFrame)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem2)
        self.addAll = QtWidgets.QToolButton(self.dockWidgetContents_3)
        icon = QtGui.QIcon.fromTheme("folder-add")
        self.addAll.setIcon(icon)
        self.addAll.setObjectName("addAll")
        self.horizontalLayout_4.addWidget(self.addAll)
        self.sort = QtWidgets.QToolButton(self.dockWidgetContents_3)
        icon = QtGui.QIcon.fromTheme("sort-name")
        self.sort.setIcon(icon)
        self.sort.setObjectName("sort")
        self.horizontalLayout_4.addWidget(self.sort)
        self.verticalLayout_5.addLayout(self.horizontalLayout_4)
        self.sourcesGroup.setWidget(self.dockWidgetContents_3)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(4), self.sourcesGroup)
        self.dockWidget = QtWidgets.QDockWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dockWidget.sizePolicy().hasHeightForWidth())
        self.dockWidget.setSizePolicy(sizePolicy)
        self.dockWidget.setFeatures(QtWidgets.QDockWidget.DockWidgetFloatable|QtWidgets.QDockWidget.DockWidgetMovable)
        self.dockWidget.setObjectName("dockWidget")
        self.dockWidgetContents = QtWidgets.QWidget()
        self.dockWidgetContents.setObjectName("dockWidgetContents")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.dockWidgetContents)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setSizeConstraint(QtWidgets.QLayout.SetMinimumSize)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.duration = QtWidgets.QSpinBox(self.dockWidgetContents)
        self.duration.setWrapping(False)
        self.duration.setFrame(True)
        self.duration.setProperty("showGroupSeparator", False)
        self.duration.setMaximum(9999)
        self.duration.setProperty("value", 100)
        self.duration.setDisplayIntegerBase(10)
        self.duration.setObjectName("duration")
        self.horizontalLayout_5.addWidget(self.duration)
        self.reversible = QtWidgets.QCheckBox(self.dockWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.reversible.sizePolicy().hasHeightForWidth())
        self.reversible.setSizePolicy(sizePolicy)
        self.reversible.setObjectName("reversible")
        self.horizontalLayout_5.addWidget(self.reversible)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        self.dockWidget.setWidget(self.dockWidgetContents)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(2), self.dockWidget)
        self.actionNew = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-new")
        self.actionNew.setIcon(icon)
        self.actionNew.setObjectName("actionNew")
        self.actionOpen = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-open")
        self.actionOpen.setIcon(icon)
        self.actionOpen.setObjectName("actionOpen")
        self.actionSave = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-save")
        self.actionSave.setIcon(icon)
        self.actionSave.setObjectName("actionSave")
        self.actionSave_as = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-save-as")
        self.actionSave_as.setIcon(icon)
        self.actionSave_as.setObjectName("actionSave_as")
        self.actionClose = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("window-close")
        self.actionClose.setIcon(icon)
        self.actionClose.setObjectName("actionClose")
        self.actionUndo = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("edit-undo")
        self.actionUndo.setIcon(icon)
        self.actionUndo.setObjectName("actionUndo")
        self.actionRedo = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("edit-redo")
        self.actionRedo.setIcon(icon)
        self.actionRedo.setObjectName("actionRedo")
        self.actionCut = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("edit-cut")
        self.actionCut.setIcon(icon)
        self.actionCut.setObjectName("actionCut")
        self.actionCopy = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("edit-copy")
        self.actionCopy.setIcon(icon)
        self.actionCopy.setObjectName("actionCopy")
        self.actionPaste = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("edit-paste")
        self.actionPaste.setIcon(icon)
        self.actionPaste.setObjectName("actionPaste")
        self.actionUse_linear_filtering = QtWidgets.QAction(MainWindow)
        self.actionUse_linear_filtering.setCheckable(True)
        self.actionUse_linear_filtering.setChecked(True)
        self.actionUse_linear_filtering.setObjectName("actionUse_linear_filtering")
        self.menuFile.addAction(self.actionNew)
        self.menuFile.addAction(self.actionOpen)
        self.menuFile.addAction(self.actionSave)
        self.menuFile.addAction(self.actionSave_as)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionClose)
        self.menuEdit.addAction(self.actionUndo)
        self.menuEdit.addAction(self.actionRedo)
        self.menuEdit.addSeparator()
        self.menuEdit.addAction(self.actionCut)
        self.menuEdit.addAction(self.actionCopy)
        self.menuEdit.addAction(self.actionPaste)
        self.menu_View.addAction(self.actionUse_linear_filtering)
        self.menubar.addAction(self.menuFile.menuAction())
        self.menubar.addAction(self.menuEdit.menuAction())
        self.menubar.addAction(self.menu_View.menuAction())

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "libsuperderpy animation editor"))
        self.importBtn.setToolTip(_translate("MainWindow", "Import animation"))
        self.importBtn.setText(_translate("MainWindow", "Import"))
        self.exportBtn.setToolTip(_translate("MainWindow", "Export selected frames as animation"))
        self.exportBtn.setText(_translate("MainWindow", "Export"))
        self.counter.setText(_translate("MainWindow", "-/-"))
        self.frameDuration.setToolTip(_translate("MainWindow", "Frame duration"))
        self.frameDuration.setSpecialValueText(_translate("MainWindow", "(default)"))
        self.frameDuration.setSuffix(_translate("MainWindow", " ms"))
        self.copy.setToolTip(_translate("MainWindow", "Duplicate selected frames"))
        self.copy.setText(_translate("MainWindow", "Copy"))
        self.moveLeft.setToolTip(_translate("MainWindow", "Move selected frames left"))
        self.moveLeft.setText(_translate("MainWindow", "Move left"))
        self.moveNumber.setToolTip(_translate("MainWindow", "Amount of frames to move"))
        self.moveRight.setToolTip(_translate("MainWindow", "Move selected frames right"))
        self.moveRight.setText(_translate("MainWindow", "Move right"))
        self.reverseBtn.setToolTip(_translate("MainWindow", "Reverse selected frames"))
        self.reverseBtn.setText(_translate("MainWindow", "Reverse"))
        self.deleteBtn.setToolTip(_translate("MainWindow", "Delete selected frames"))
        self.deleteBtn.setText(_translate("MainWindow", "Delete"))
        self.menuFile.setTitle(_translate("MainWindow", "&File"))
        self.menuEdit.setTitle(_translate("MainWindow", "&Edit"))
        self.menu_View.setTitle(_translate("MainWindow", "&View"))
        self.dockWidget_2.setWindowTitle(_translate("MainWindow", "Preview"))
        self.playPause.setToolTip(_translate("MainWindow", "Play/pause"))
        self.playPause.setText(_translate("MainWindow", "Play"))
        self.goLeft.setToolTip(_translate("MainWindow", "Previous frame"))
        self.goLeft.setText(_translate("MainWindow", "-1"))
        self.goRight.setToolTip(_translate("MainWindow", "Next frame"))
        self.goRight.setText(_translate("MainWindow", "+1"))
        self.stop.setToolTip(_translate("MainWindow", "Stop"))
        self.stop.setText(_translate("MainWindow", "Stop"))
        self.fullscreen.setToolTip(_translate("MainWindow", "Fullscreen"))
        self.fullscreen.setText(_translate("MainWindow", "Fullscreen"))
        self.sourcesGroup.setWindowTitle(_translate("MainWindow", "Sources"))
        self.subdirs.setToolTip(_translate("MainWindow", "Directory"))
        self.refreshSources.setToolTip(_translate("MainWindow", "Refresh"))
        self.refreshSources.setText(_translate("MainWindow", "Refresh"))
        self.addFrame.setToolTip(_translate("MainWindow", "Add frame"))
        self.addFrame.setText(_translate("MainWindow", "Add frame"))
        self.addAll.setToolTip(_translate("MainWindow", "Add all as frames"))
        self.addAll.setText(_translate("MainWindow", "Add all"))
        self.sort.setToolTip(_translate("MainWindow", "Sort"))
        self.sort.setText(_translate("MainWindow", "Sort"))
        self.dockWidget.setWindowTitle(_translate("MainWindow", "Animation properties"))
        self.duration.setSuffix(_translate("MainWindow", " ms"))
        self.duration.setPrefix(_translate("MainWindow", "Default frame duration: "))
        self.reversible.setText(_translate("MainWindow", "Reversible"))
        self.actionNew.setText(_translate("MainWindow", "&New"))
        self.actionNew.setShortcut(_translate("MainWindow", "Ctrl+N"))
        self.actionOpen.setText(_translate("MainWindow", "&Open"))
        self.actionOpen.setShortcut(_translate("MainWindow", "Ctrl+O"))
        self.actionSave.setText(_translate("MainWindow", "&Save"))
        self.actionSave.setShortcut(_translate("MainWindow", "Ctrl+S"))
        self.actionSave_as.setText(_translate("MainWindow", "Save &as..."))
        self.actionSave_as.setShortcut(_translate("MainWindow", "Ctrl+Shift+S"))
        self.actionClose.setText(_translate("MainWindow", "&Close"))
        self.actionClose.setShortcut(_translate("MainWindow", "Ctrl+Q"))
        self.actionUndo.setText(_translate("MainWindow", "&Undo"))
        self.actionUndo.setShortcut(_translate("MainWindow", "Ctrl+Z"))
        self.actionRedo.setText(_translate("MainWindow", "&Redo"))
        self.actionRedo.setShortcut(_translate("MainWindow", "Ctrl+R"))
        self.actionCut.setText(_translate("MainWindow", "Cut"))
        self.actionCut.setShortcut(_translate("MainWindow", "Ctrl+X"))
        self.actionCopy.setText(_translate("MainWindow", "Copy"))
        self.actionCopy.setShortcut(_translate("MainWindow", "Ctrl+C"))
        self.actionPaste.setText(_translate("MainWindow", "Paste"))
        self.actionPaste.setShortcut(_translate("MainWindow", "Ctrl+V"))
        self.actionUse_linear_filtering.setText(_translate("MainWindow", "Use linear filtering"))
        self.actionUse_linear_filtering.setShortcut(_translate("MainWindow", "Ctrl+L"))
from editor.FrameListView import FrameListView
